import request from '@/utils/request'

// 查询职工信息列表
export function listEmployee(query) {
  return request({
    url: '/kaohe/employee/list',
    method: 'get',
    params: query
  })
}

// 查询职工信息详细
export function getEmployee(id) {
  return request({
    url: '/kaohe/employee/' + id,
    method: 'get'
  })
}

// 新增职工信息
export function addEmployee(data) {
  return request({
    url: '/kaohe/employee',
    method: 'post',
    data: data
  })
}

// 修改职工信息
export function updateEmployee(data) {
  return request({
    url: '/kaohe/employee',
    method: 'put',
    data: data
  })
}

// 删除职工信息
export function delEmployee(id) {
  return request({
    url: '/kaohe/employee/' + id,
    method: 'delete'
  })
}
